[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.ClipboardGetOwnerShip

Sets the requested formats and requests ownership of the clipboard.

## Declaration

Source position: lclintfh.inc line 47

`public function TWidgetSet.ClipboardGetOwnerShip(`
`ClipboardType: TClipboardType;`
`OnRequestProc: TClipboardRequestEvent;`
`FormatCount: Integer;`
`Formats: PClipboardFormat`
`):Boolean; virtual;`

## Arguments

`ClipboardType` |  | Type of clipboard type for the request.
`OnRequestProc` |  | Event signalled to get data for the clipboard, or Nil when ownership is lost.
`FormatCount` |  | Number of clipboard formats in the list.
`Formats` |  | Pointer to the list of registered clipboard formats requested.

## Function result

True on success.